//------------------------------------------------------------------------------
// <auto-generated>
//     Este código se generó a partir de una plantilla.
//
//     Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//     Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace EMartVG.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class Producto
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Producto()
        {
            this.Orden = new HashSet<Orden>();
        }
    
        public int Id_Producto { get; set; }
        public string Nombre_Producto { get; set; }
        public string Descripcion_Producto { get; set; }
        public Nullable<double> Precio_Producto { get; set; }
        public string Imagen_Producto { get; set; }
        public Nullable<int> Stock_Producto { get; set; }
        public Nullable<int> Id_Marca { get; set; }
        public Nullable<int> Id_Categoria { get; set; }
        public Nullable<int> Id_Estado_Producto { get; set; }
    
        public virtual Categorias Categorias { get; set; }
        public virtual Estado_Productos Estado_Productos { get; set; }
        public virtual Marca Marca { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Orden> Orden { get; set; }
    }
}
